#pragma once
#ifndef Iroh_h
#define Iroh_h

#include "Motor.h"
#include "ImpactSensor.h"
#include "LigthSensor.h"
//#include "UltrasonicSensor.h"
#include <Servo.h>
#include "Bicho.h"
#define Detenido 0
#define Avanza 1
#define Retrocede 2
#define Gira_Derecha 3
#define Gira_Izquierda 4
#define Avanza_DIF 5
#define Retrocede_DIF 6
#define Mover 7

class Iroh:public Bicho {
public:
	Iroh() :Bicho() {};
	~Iroh();
	void retroceder(int vel);
	void retroceder(int velIzq, int velDer);
	void avanzar(int vel);
	void avanzar(int velIzq, int velDer);
	void detenerse();
	void girarDerecha(int vel);
	void girarIzquierda(int vel);
	void inicializarMovimientoRobot();
	void inicializarCabezaRobot();
	void inicializarSensoresRobot();
	void moverServoYaw(int pos);
	int leerSensorLineaIzquierdo();
	int leerSensorLineaCentral();
	int leerSensorLineaDerecho();
	int leerSensorObstaculoIzquierdo();
	int leerSensorObstaculoDerecho();
//	int leerDistanciaSonar();
	void finPrograma();
	void pausa(int tiempo);
private:
	int Estado = 0;

};

#endif
