#pragma once
#ifndef Motor_h
#define Motor_h

#include"Actioner.h"
/**@brief clase Motor, corresponde a un actuador. */
class Motor :public Actioner
{
public:
	/**@brief constructor por defecto de la clase. */
	Motor();
	/**@brief constructor de la clase Motor, este hace uso del constructor de la clase Actioner.
	*@param Pin entero correspondiente al pin, este se entrega al constructor de Sensor.
	*/
	Motor(int pin) :Actioner(pin) {};
	/**@brief constructor de la clase para motores con puente H,
	*este hace uso del constructor de la clase Actioner.
	*@param Pin1 entero correspondiente al pin principal.
	*@param Pin2 entero correspondiente al pin auxiliar.
	*/
	Motor(int pin_enable, int pin_sense) :Actioner(pin_enable, pin_sense) { ///arreglar descripcion !!
	};
};
#endif