#ifndef Sensor_h
#define Sensor_h
#include "ArduinoComponent.h"
/**@brief clase Sensor, esta hereda de arduino component. */
class Sensor:public ArduinoComponent
{
  public:
	  /**@brief constructor por defecto clase. */
	  Sensor();
	  /**@brief constructor de la clase.
	  *@param pin entero correspondiente al pin.
	  */
	  Sensor(int Pin);
	  /**@brief constructor de la clase para actuadores con ms de una conexion a pines.
	  *@param pin1 entero correspondiente al pin principal.
	  *@param pin1 entero correspondiente al pin auxiliar.
	  */
	  Sensor(int Pin1, int Pin2);
};

#endif