#include <Arduino.h>
#include "Actioner.h"
#include "ArduinoComponent.h"

Actioner::Actioner()
{
}

Actioner::Actioner(int pin)
{
	set_mode(OUTPUT);
	set_pin(pin);
	pinMode(get_pin(), get_mode());
}

  Actioner::Actioner(int pin1, int pin2)
  {
	  set_mode(OUTPUT);
	  set_mode_aux(OUTPUT);
	  set_pin(pin1);
	  set_aux_pin(pin2);
	  pinMode(get_pin(), get_mode());
	  pinMode(get_aux_pin(), get_aux_mode());

  }

  void Actioner::AWrite(int valor)
  {
	  analogWrite(get_pin(),valor);
  }

  void Actioner::Dwrite(int valor)
  {
	  digitalWrite(get_pin(),valor);
  }

  void Actioner::AWrite_Aux(int valor)
  {
	  analogWrite(get_aux_pin(), valor);
  }

  void Actioner::Dwrite_Aux(int valor)
  {
	  digitalWrite(get_aux_pin(), valor);
  }