#ifndef Actioner_h
#define Actioner_h
#include "ArduinoComponent.h"
/**@brief clase Actioner, esta hereda de arduino component. */
class Actioner:public ArduinoComponent
{
  public:
	/**@brief constructor por defecto de la clase. */
	Actioner();
	/**@brief constructor de la clase.
	*@param pin entero correspondiente al pin.
	*/
	Actioner(int pin);
	/**@brief constructor de la clase para actuadores con ms de una conexion a pines.
	*@param pin1 entero correspondiente al pin principal.
	*@param pin1 entero correspondiente al pin auxiliar.
	*/
	Actioner(int pin1, int pin2);
	/**@brief metodo que que ejecuta la funcion analogWrite.
	*@param valor corresponde al  ________ entregado al pin.
	*/
	void AWrite(int valor);
	/**@brief metodo que que ejecuta la funcion digitalWrite.
	*@param valor corresponde al  ________ entregado al pin.
	*/
	void Dwrite(int valor);
	/**@brief metodo que que ejecuta la funcion digitalWrite.
	*@param valor corresponde al  ________ entregado al pin auxiliar.
	*/
	void AWrite_Aux(int valor);
	/**@brief metodo que que ejecuta la funcion analogWrite.
	*@param valor corresponde al  ________ entregado al pin auxiliar.
	*/
	void Dwrite_Aux(int valor);
};

#endif