#ifndef Analog_h
#define Analog_h
#include "Sensor.h"
/**@brief clase Analog, esta hereda de Sensor. */
class Analog: public Sensor
{
public:
	/**@brief constructor por defecto de la clase. */
	Analog();
	/**@brief constructor de la clase, este hace uso del constructor de la clase Sensor.
	*@param Pin entero correspondiente al pin, este se entrega al constructor de Sensor.
	*/
	Analog(int Pin) :Sensor(Pin) {};
	/**@brief constructor de la clase para sensores analogos con ms de una conexion a pines,
	*este hace uso del constructor de la clase Sensor.
	*@param Pin1 entero correspondiente al pin principal.
	*@param Pin2 entero correspondiente al pin auxiliar.
	*/
	Analog(int Pin1, int Pin2) :Sensor(Pin1,Pin2) {};
	/**@brief metodo que que ejecuta la funcion analogWrite.
	*@param valor corresponde al  ________ entregado al pin.
	*/
	void AWrite(int valor);
	/**@brief metodo que que ejecuta la funcion analogWrite.
	*@param valor corresponde al  ________ entregado al pin auxilir.
	*/
	void AWrite_Aux(int valor);
	/**@brief metodo que que ejecuta la funcion analogRead. 
	*@return int retorna el valor leido
	*/
	int ARead();
};

#endif