#pragma once
#include "Analog.h"
//#include <Ultrasonic.h>
#ifndef UltrasonicSensor_h
#define UltrasonicSensor_h
/**@brief clase UltrasonicSensor, corresponde a un sensor analogo. */
class UltrasonicSensor :public Analog {
public:
	UltrasonicSensor();
	/**@brief constructor de la clase, este hace uso del constructor de la clase Analog 
	*con ms de una conexion a pines.
	*@param trig pin donde va el emisor de sonido ultrasonico
	*@param echo pin donde va el sensor receptor de la onda ultrasonica.
	*/
	UltrasonicSensor(int trig, int echo);
	/**@brief metodo que ejecuta las funciones de la clase Ultrasonic para calcular distancias.
	*@return int retorna la distancia a un obstaculo
	*/
	int dist();
private:
	/**@brief atributo correspondiente a un objeto de la clase Ultrasonic, que contiene los metodos que esta clase utiliza.*/
	//Ultrasonic M_US;
};
#endif